Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.crosswire.jsword.book
Enum KeyType

    java.lang.Object
      java.lang.Enum<KeyType>
          org.crosswire.jsword.book.KeyType

All Implemented Interfaces:
  Serializable, Comparable<KeyType>

    public enum KeyType

extends Enum<KeyType>

Types of Key that a Book uses, either verse, list, or tree.

Author:
  DM Smith
See Also:
  `The GNU Lesser General Public License for details.`

Enum Constant Summary
`LIST` Book organizes its entries in a list, as in a dictionary.
`TREE` Book organizes its entries in a tree, as in a general book.
`VERSE` Book contains verses and can be understood as book, chapter and verse.

Method Summary
`static KeyType` | `fromString(String name)` Lookup method to convert from a String
`int` | `toInteger()` Get an integer representation for this KeyType
`static KeyType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static KeyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### VERSE

    public static final KeyType VERSE

  Book contains verses and can be understood as book, chapter and verse.

### LIST

    public static final KeyType LIST

  Book organizes its entries in a list, as in a dictionary.

### TREE

    public static final KeyType TREE

  Book organizes its entries in a tree, as in a general book.

Method Detail

### values

    public static KeyType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (KeyType c : KeyType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static KeyType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toInteger

    public int toInteger()

  Get an integer representation for this KeyType

  Returns:
    the ordinal of a KeyType

### fromString

    public static KeyType fromString(String name)

  Lookup method to convert from a String

  Parameters:
    `name` - the name of a KeyType
  Returns:
    the matching KeyType

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD